Scilab Function

scilab - Major unix script to execute Scilab and miscellaneous tools

### Calling Sequence

  `scilab [-ns -nw -display display -f file -args arguments]`
  `scilab -help [ <key> ]`
  `scilab -k <key>`
  `scilab -xk <key>`
  `scilab -link <objects>`

### Description

- scilab [-ns -nw -display display -f path -args arguments] : run scilab.
- -ns :if this option is present the startup file `SCI/scilab.star` is not executed.
- -nw :if this option is present then scilab is not run in an X window.
- -f file : if this option is present then Scilab script `file` is executed first into Scilab.
- -args arguments : if this option is present arguments are passed to Scilab. They can then be got by sciargs function. For multi arguments passing use a quoted, blank separated sequence of words like: `scilab -args 'foo1 foo2'`
- scilab -help <key> : write on-line documentation about <key> (usually automatically called by scilab command "help <key>"). Example:

    scilab -help plot3d

- scilab -k <key> : gives the list of Scilab commands containing the keyword <key> in their description (usually automatically called by scilab command "apropos <key>")
- scilab -xk <key> : gives the list of Scilab commands containing the keyword <key> in their description in a X window.
- scilab -link <objects> : Is used to produce a local `scilex` (executable code of Scilab) linked with the additional files given by the user in `<objects>`. If, in the list of object files, some names are known from `SCIDIR/routines/default`, then the `scilex` default files are omitted and replaced with the given ones . This command also produces a `xscilab` script, which when called will ran the new generated scilex file.

For example:

    scilab -link  C/interf.o C/evol.o C/bib.a

will create a new `scilex` file in which the default `interf.o` file will be replaced by `C/interf.o`.